Subject: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: martin rudalics <[email-masked]>
Date: Sat, 27 Sep 2014 21:01:55 +0200

> I don't think this can explain it: forward-line works on the buffer,
 > and the location of point is (or should be, see below) printed
 > _before_ Emacs enters redisplay, as part of running the command that
 > called forward-line.

This is a red herring.  The values I print can't be attributed to a
specific "failing" instance of `forward-line'.  What you see is the
readjusted value after scrolling was wrongly dismissed in the last
round.  With `before' and `after' around the `forward-line' call I get:

before 97
after 102
before 102
after 107
before 107
after 112
before 112
after 117
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122
before 117
after 122

So `forward-line' always skips five characters but point gets reset
later on.

 > This, of course, assumes that what Martin did was equivalent to the
 > below:
 >
 >    (defun my-fwd-line ()
 >      (interactive)
 >      (forward-line 1)
 >      (message "%s" (point)))

That's precisely what I did.

martin